package com.hw.ems.base.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 业态类型管理对象 base_business_type
 *
 * @author YinQ
 * @date 2023-05-05
 */
public class BaseBusinessType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 父级编号 */
    @Excel(name = "父级编号")
    private Long parentId;
    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;
    /** 子菜单 */
    private List<BaseBusinessType> children = new ArrayList<BaseBusinessType>();

    /** 编号 */
    private Long objid;

    /** 业态类型编号 */
    @Excel(name = "业态类型编号")
    private String businessId;

    /** 业态类型名称 */
    @Excel(name = "业态类型名称")
    private String businessName;

    /** 状态 */
    @Excel(name = "状态")
    private Long businessStatus;

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public List<BaseBusinessType> getChildren() {
        return children;
    }

    public void setChildren(List<BaseBusinessType> children) {
        this.children = children;
    }

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setBusinessId(String businessId)
    {
        this.businessId = businessId;
    }

    public String getBusinessId()
    {
        return businessId;
    }
    public void setBusinessName(String businessName)
    {
        this.businessName = businessName;
    }

    public String getBusinessName()
    {
        return businessName;
    }
    public void setBusinessStatus(Long businessStatus)
    {
        this.businessStatus = businessStatus;
    }

    public Long getBusinessStatus()
    {
        return businessStatus;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("parentId", getParentId())
            .append("businessId", getBusinessId())
            .append("businessName", getBusinessName())
            .append("businessStatus", getBusinessStatus())
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
